#
# spec file for package gcimagebundle
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gcimagebundle
Version:        1.3.1
Release:        3.1
Summary:        Google Compute Engine disk image creator
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/GoogleCloudPlatform/compute-image-packages
Source0:        %{name}-%{version}.tar.bz2
Patch0:         gcimgbndl_hidesetuplogic.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
gcimagebundle is a tool that supports the creation of a disk image for
Google Compute Engine from an existing VM.

%package test
Summary:        Test cases for gcimagebundle
Group:          System/Management
Requires:       gcimagebundle = %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description test
Provides unit tests for the gcimagebundle package

%prep
%setup -q
%patch0

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-scripts=%{_bindir}

%files
%defattr(-,root,root,-)
%doc LICENSE README README.md VERSION
%{_bindir}/gcimagebundle
%{python_sitelib}/*egg-info/*
%{python_sitelib}/gcimagebundlelib/*.*
%dir %{python_sitelib}/gcimagebundlelib
%dir %{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info

%files test
%defattr(-,root,root,-)
%{python_sitelib}/gcimagebundlelib/tests/*
%dir %{python_sitelib}/gcimagebundlelib/tests

%changelog
* Thu Jan 28 2016 rjschwei@suse.com
- Update to version 1.3.1 (bsc#963879,bsc#963880)
  + Added deprecation warnings for safe_format_and_mount and gcimagebundle.
- Version consistency with google-startup-scripts
* Mon Nov 23 2015 rjschwei@suse.com
- Update to version 1.2.10 (bsc#956339,bsc#956340)
  + Fixed a bug for storing an image to a Google Storage bucket
- Version consistency with google-startup-scripts
* Mon Aug  3 2015 jgleissner@suse.com
- Update to version 1.2.7 (bnc#940190)
  + just a version bump for version consistency; no code changes
* Wed Mar 11 2015 rjschwei@suse.com
- Update to version 1.2.4 (bnc#921732)
  + Version consistency with google-startup-scripts
    Code is released together
* Fri Nov 14 2014 rschweikert@suse.com
- Update to version 1.1.9   bnc#905611
  + Fix version inconsistency
  + Support XFS as root filesystem
* Mon Jul 28 2014 rschweikert@suse.com
- Bump version to 1.1.7-> corresponds to upstream 1.1.5
  + version inconsistency due to previous package version bump when including
    fixes from git repo
  + support CentOS 7
* Tue Jul  1 2014 rschweikert@suse.com
- Bump version to 1.1.6 -> corresponds to upstream 1.1.4
  + version inconsistency due to previous package version bump when including
    fixes from git repo
  + Load licenses only if running on GCE.
* Wed Jun  4 2014 rschweikert@suse.com
- Bump version to 1.1.5  -> corresponds to upstream 1.1.3
  + version inconsistency due to previous package version bump when including
    fixes from git repo
  + no upstream change log, nor decent commit messages that separate
    changes to this code bases vs. other code in the same repo
* Wed Feb 19 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
- Bump version to 1.1.4 -> corresponds to upstream 1.1.1
  + version inconsistency due to previous package version bump when including
    fixes from git repo
  + gcimagebundle now supports RHEL, SLES, and openSUSE
* Sat Jan 18 2014 rschweikert@suse.com
- Bump to current development state
  + fixes issue with ext3 filesystem use on SLE 11
* Fri Dec  6 2013 rschweikert@suse.com
- Initial build
